# module Devise::Models::TokenAuthenticatable::ClassMethods

### Public Instance Methods

authentication_token() click to toggle source

Generate a token checking if one does not already exist in the database.

    # File lib/devise/models/token_authenticatable.rb, line 61
    def authentication_token
      generate_token(:authentication_token)
    end

find_for_token_authentication(conditions) click to toggle source

    # File lib/devise/models/token_authenticatable.rb, line 56
    def find_for_token_authentication(conditions)
      find_for_authentication(:authentication_token => conditions[token_authentication_key])
    end